Quite Software  

You are here: Quite > Support > Mac M1 Native plugins

 
         
   

Acrobat plug-ins "native" on M1 Macs

This info is from 7 December 2021. It is applicable only to new "M1" Mac, not to Windows, and not to older Intel Mac.

Summary: Quite Imposing Plus 5.3 and above can run M1 native on M1 Mac, but a change to an Acrobat option may be needed, and a recent subscription version of Acrobat is needed.

On the new M1 Macs, apps can run as "Intel" (compatible with old Macs) or "M1 native". M1 native Acrobat may be faster but you need all new Acrobat plug-ins, and they may not be available yet. Quite Imposing Plus 5.3 and later can run native on M1, or in Intel mode - both of these are provided in the same plug-in file.

Starting with version 2021.007.20091 in October 2021, Acrobat Pro DC can run as either mode, but it is controlled by a special option. The option is in Acrobat Preferences and is under the General tab. The option is "Enable native OS mode for optimal performance".

Troubleshooting

  • This option will not appear with older versions of Acrobat (including Acrobat 2020), and will not appear on Intel Macs. Or Windows. You must be running Acrobat DC 2021.007.20091 or later.
  • If this option makes Quite Imposing Plus disappear from the Plugins menu, make sure you are running Quite Imposing Plus 5.3 or later.
  • If this option makes other plug-ins disappear, you need to turn the option off and contact the makers of the other plug-ins.
  • We believe the default for this Acrobat option could change over time, so check the current value for you.